
Figure - Bug #119089
【VC1】【台架】【副屏】飞书语音通话没有声音输出
2023-07-24 17:33 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-07-24

Priority: High Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0722DB

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 第三方应用问题

Description

【前提条件】

1.设备网络正常

2.已下载飞书

【操作步骤】

1.使用飞书拨打语音并接通

2.使用飞书接听语音通话

3.使用飞书拨打语音并接通

【实际结果】

副屏没有声音输出

【预期结果】

副屏可正常输出语音通话声音

【备注】

该次出现的步骤1偶现通话有声音

History

#1 - 2023-07-24 17:34 - 物联网测试组_TSCD 王维

- Priority changed from Normal to High

#2 - 2023-07-24 18:15 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

该问题在新版本的飞书发生，

在飞书获取焦点后，接通时立即设置mode为0，释放了焦点；

56991:07-24 17:16:11.265 10893 10926 W AudioManager: See the documentation of requestAudioFocus() for what to use instead with

android.media.AudioAttributes to qualify your playback use case

56992:07-24 17:16:11.266  1532  9640 D AS.AudioService: idcm_af:requestAudioFocus, call: com.ss.android.lark

56993:07-24 17:16:11.266  1532  9640 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus,  streamtype = 0

56994:07-24 17:16:11.266  1532  9640 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus: AudioFocus_VoiceCall

56995:07-24 17:16:11.266  1532  9640 D AudioIDCMicroNegotiator: idcm_common:requestResult method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}
56996:07-24 17:16:11.266  1532  9640 I MicroServiceManager: requestResult(requestAudioFocus) parameters

is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}.

56997:07-24 17:16:11.267  1532  9640 D AudioIDCMicroNegotiator: idcm_af:updateAudioInfo

56998:07-24 17:16:11.267  1532  9640 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState

57000:07-24 17:16:11.271  2106  2812 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1690190171266147836',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1690190171266147836,"methodName":"reque

stAudioFocus","parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}}}

57090:07-24 17:16:11.305  2106  2513 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='1690190171266147836',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"requestAudioFocus","messageType":1,"uuid":1690190

171266147836,"parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRA

NTED"}}}}

57091:07-24 17:16:11.305  2106  2513 I MicroService: onResponse(requestAudioFocus):

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}}

57092:07-24 17:16:11.305  1532 30702 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}}

57113:07-24 17:16:11.309   814 14592 D audio_hw_primary: adev_set_mode: mode 3 , prev_mode 0 

58242:07-24 17:16:13.877  1532 30702 D AS.AudioService: idcm_af:abandonAudioFocus, call: com.ss.android.lark

58246:07-24 17:16:13.879  1532 30702 D AudioIDCMicroNegotiator: idcm_af:abandonIDCMicroAudioFocus: AudioFocus_VoiceCall

58250:07-24 17:16:13.879  1532 30702 W AudioIDCMicroNegotiator: idcm_warn: abandon of obtainAbandonFocusState

58251:07-24 17:16:13.879  1532 30702 D AudioIDCMicroNegotiator: idcm_af:obtainAbandonFocusState, return: 0

58253:07-24 17:16:13.879  1532  1859 D AS.AudioService: idcm_af:abandonAudioFocus, request: com.ss.android.lark

58257:07-24 17:16:13.880  1532  1859 D AudioIDCMicroNegotiator: idcm_af:abandonIDCMicroAudioFocus FocusState: 0

58258:07-24 17:16:13.880   814 14591 D audio_hw_primary: adev_set_mode: mode 0 , prev_mode 3 

总结：

该问题是应用问题，不作处理。

#3 - 2023-07-25 11:41 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_TSCD 王维

- Resolution changed from -- to WONTFIX

- Root cause set to 第三方应用问题

Hi ALL

应用问题，不作处理。

#4 - 2023-07-26 09:48 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#5 - 2023-07-26 09:48 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files
